Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1267344 - Minor configuration problem in gnumeric.desktop file
Summary: Minor configuration problem in gnumeric.desktop file
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-29 17:38 UTC by Peter Trenholme
Modified: 2015-11-09 12:12 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-09 12:12:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Peter Trenholme 2015-09-29 17:38:31 UTC
Description of problem:

Warning in file "/usr/share/applications/gnumeric.desktop": usage of MIME type "zz-application/zz-winassoc-xls" is discouraged ("zz-application/zz-winassoc-xls" should be replaced with "application/vnd.ms-excel")

Version-Release number of selected component (if applicable): 1.0

How reproducible: Every time

Step to Reproduce: run dnf -v upgrade

Actual results: See description

Expected results: No warning

Additional info:
The suggested MIME type is already in the MimeType block, so a simple removal of the discouraged association should suffice.

Comment 1 Julian Sikorski 2015-10-26 19:15:39 UTC
Hi Morten,

what do you think?

Comment 2 M Welinder 2015-10-26 23:02:05 UTC
I think that the program issuing that warning should be fixed.

"zz-application/zz-winassoc-xls" did not come out of thin air, but from
what was in actual use when it was written.  Reality bersus someone's
idea about how the world should look, if you like.

Comment 3 Honza Silhan 2015-11-02 15:09:16 UTC
Can you attach whole output + dnf.log, please. I have no idea what is this report about.

Comment 4 Peter Trenholme 2015-11-02 21:30:27 UTC
Sorry, that log file is long gone. However the relevant part of the file is exactly reproduced in the "Description of problem" section. (I just pasted it there.)

Note that it actually addresses the contents of the gnumeric.desktop file, and (since I deleted the offending line in my copy) I no longer see this message.

As a general comment, in someone's copious spare time, it might be useful to parse all packaged .desktop files for similar problems, and also start every package from a terminal to see the (almost always) newer "standards" to which the application fails to adhere.

An example from a KDE application (Completely unrelated to this problem, but illustrative of the general issue.:

[Peter ~]$ krusader &
[1] 4683
[Peter ~]$ Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
kbuildsycoca4 running...
Could not resolve property : linearGradient4538
Could not resolve property : linearGradient4588
Could not resolve property : linearGradient4554
Could not resolve property : linearGradient4572
Could not resolve property : linearGradient4532
Could not resolve property : linearGradient4582
Could not resolve property : linearGradient4566
Could not resolve property : linearGradient4548
Could not resolve property : linearGradient4532
Could not resolve property : linearGradient4582
Could not resolve property : linearGradient4566
Could not resolve property : linearGradient4548
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 20 (X_GetProperty)
  Resource id:  0x1400120

Comment 5 Honza Silhan 2015-11-09 12:12:53 UTC
Still I don't get what this report means. I am sorry, but without log I can't see what was wrong. Closing this.


Note You need to log in before you can comment on or make changes to this bug.